.wayfinding-grid {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.wayfinding-grid :is(h2, h3, h4) {
  margin: 0;
  font-family: var(--typography-family-title-slab);
  font-weight: var(--typography-weight-regular);
  font-size: var(--typography-font-size-headlines-48);
  line-height: var(--typography-line-height-lh-53);
  letter-spacing: var(--typography-letter-spacing-0-5);
}

.wayfinding-grid :is(p) {
  max-width: 750px;
  font-weight: var(--typography-weight-regular);
  font-size: var(--typography-font-size-headlines-18);
  text-align: center;
  margin-block-start: var(--spacing-base-space-200);
  color: var(--palette-default-fg-base);
}

.wayfinding-grid > .cta-wrapper {
  margin-block-start: var(--spacing-base-space-500);
}

.wayfinding-grid > .grid-items-wrapper {
  display: block;
  margin-block-start: var(--spacing-base-space-700);
  width: 100%;
}

.wayfinding-grid-item-container {
  background-clip: content-box;
  border-radius: var(--radius-radius-120);
  display: grid;
  border: 1px solid var(--palette-default-stroke-interactive);
  grid-template-columns: repeat(var(--grid-columns, 3), 1fr);
  gap: 1px;
  overflow: clip;/* magic sauce */
  list-style: none;
  margin: 0;
  padding: 0;
  width: 100%;
  background-color: var(--palette-default-fg-interactive);
}

.wayfinding-grid-item-container:nth-child(2) {
  border: none;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-left-radius: var(--radius-radius-120);
  border-left: 1px solid var(--palette-default-stroke-interactive);
  background-color: transparent;
  gap: 0;
}

.wayfinding-grid-item-container:first-child:not(:only-child) {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.grid-items-wrapper .wayfinding-grid-item-container a {
  display: flex;
  flex-flow: column nowrap;
  background-color: var(--palette-default-bg-base);
  color: var(--palette-default-fg-interactive);
  height: 100%;
  padding: var(--spacing-base-space-400);
  position: relative;
  text-decoration: none;
  transition:
    background-color 0.3s,
    color 0.3s,
    border-color 0.3s;
  z-index: 0;
  gap: var(--spacing-base-space-100);
}

.wayfinding-grid-item-container a:hover,
.wayfinding-grid-item-container a:focus {
  background-color: var(--palette-default-bg-subtle);
  outline: none;
  z-index: 10;
}

.wayfinding-grid > .grid-items-wrapper a {
  max-width: 100%;
}

.wayfinding-grid-item-container:nth-child(2) > li > a {
  border-bottom: 1px solid var(--palette-default-stroke-interactive);
  border-right: 1px solid var(--palette-default-stroke-interactive);
}

.wayfinding-grid-item-container:nth-child(2) > li:first-child > a {
  border-bottom-left-radius: var(--radius-radius-120);
}

.wayfinding-grid-item-container:nth-child(2) > li:last-of-type a {
  border-right: 1px solid var(--palette-default-stroke-interactive);
  border-bottom-right-radius: var(--radius-radius-120);
}

.wayfinding-grid-item-container a > p,
.wayfinding-grid-item-container a > div > p {
  font-weight: var(--typography-weight-regular);
  font-size: var(--typography-font-size-body-18);
  line-height: 150%;
  margin: 0;
  text-align: left;
}

.wayfinding-grid-item-container a > p:first-child {
  font-size: var(--typography-font-size-headlines-28);
  color: var(--palette-default-fg-interactive);
  line-height: var(--typography-line-height-lh-34);
}

.wayfinding-grid-item-container a svg {
  margin-inline-start: 0.25rem;
}

.wayfinding-grid-item-container a > p:first-child span.grid-item-span {
  white-space: nowrap;
}

.wayfinding-grid-item-container a:hover > p:first-child,
.wayfinding-grid-item-container a:focus > p:first-child {
  text-decoration: underline;
}

@media (width < 900px) {
  .wayfinding-grid-item-container {
    grid-template-columns: repeat(1, 1fr);
  }

  .wayfinding-grid > .grid-items-wrapper {
    margin-block-start: var(--spacing-base-space-500);
  }

  .wayfinding-grid :is(h2, h3, h4) {
    text-align: center;
    font-size: var(--typography-font-size-headlines-36);
    line-height: var(--typography-line-height-lh-40);
    letter-spacing: var(--typography-letter-spacing-0-4);
  }

  .grid-items-wrapper .wayfinding-grid-item-container a {
    display: flex;
    gap: var(--spacing-base-space-150);
    padding: var(--spacing-base-space-0);
    padding-block: var(--spacing-base-space-300);
    padding-inline: var(--spacing-base-space-250) var(--spacing-base-space-200);
  }

  .wayfinding-grid-item-container a > p:first-child {
    font-size: var(--typography-font-size-headlines-24);
    line-height: var(--typography-line-height-lh-29);
  }

  .wayfinding-grid-item-container a:hover,
  .wayfinding-grid-item-container a:focus {
    background-color: var(--palette-default-bg-base);
  }

  .wayfinding-grid-item-container:nth-child(2) > li:first-child > a {
    border-bottom-left-radius: 0;
  }

  .wayfinding-grid-item-container:nth-child(2) > li:last-of-type > a {
    border-bottom-left-radius: var(--radius-radius-120);
  }
}
